Bug 1294455 - SELinux is preventing gsf-office-thum from using the 'dac_override' capabilities. [NEEDINFO]
SELinux is preventing gsf-office-thum from using the 'dac_override' capabilit...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
x86_64 Unspecified
low Severity low
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:ab73351c5007a7e986153e6dcb1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-28 04:28 EST by Levzhazy Nurrevir
Modified: 2016-03-10 08:18 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-21 05:17:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lvrabec: needinfo? (levzhazeschi)


Attachments (Terms of Use)

  None (edit)
Description Levzhazy Nurrevir 2015-12-28 04:28:05 EST
Description of problem:
SELinux is preventing gsf-office-thum from using the 'dac_override' capabilities.

*****  Plugin dac_override (91.4 confidence) suggests   **********************

If you want to help identify if domain needs this access or you have a file with the wrong permissions on your system
Then turn on full auditing to get path information about the offending file and generate the error again.
Do

Turn on full auditing
# auditctl -w /etc/shadow -p w
Try to recreate AVC. Then execute
# ausearch -m avc -ts recent
If you see PATH record check ownership/permissions on file, and fix it, 
otherwise report as a bugzilla.

*****  Plugin catchall (9.59 confidence) suggests   **************************

If you believe that gsf-office-thum should have the dac_override capability by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep gsf-office-thum /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Objects                Unknown [ capability ]
Source                        gsf-office-thum
Source Path                   gsf-office-thum
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-158.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.2.8-300.fc23.x86_64 #1 SMP Tue
                              Dec 15 16:49:06 UTC 2015 x86_64 x86_64
Alert Count                   2
First Seen                    2015-12-27 10:39:27 YEKT
Last Seen                     2015-12-27 10:39:27 YEKT
Local ID                      98e0a18c-6446-4166-b512-0720e958f102

Raw Audit Messages
type=AVC msg=audit(1451194767.594:999): avc:  denied  { dac_override } for  pid=7200 comm="gsf-office-thum" capability=1  scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tclass=capability permissive=0


Hash: gsf-office-thum,thumb_t,thumb_t,capability,dac_override

Version-Release number of selected component:
selinux-policy-3.13.1-158.fc23.noarch

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.2.8-300.fc23.x86_64
type:           libreport

Potential duplicate: bug 910553
Comment 1 Lukas Vrabec 2016-01-05 07:55:48 EST
Hi, 
Please check file permissions in your homedir. 

Did you login as root?
Comment 2 Miroslav Grepl 2016-01-21 05:17:22 EST
Did you run it as root? If so it is not supported by SELinux. If I am wrong, please reopen the bug.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.